/* $Id: main.c 1 2023-02-24 13:31:37Z nishi $ */
#include <nikkel.h>

#include <nikkel/config.h>
#include <nikkel/page.h>
#include <nikkel/util.h>

#include <stdio.h>
#include <stdlib.h>

int argc;
char** argv;

struct nikkel_config* config;

int main(int argc_, char** argv_){
	config = NULL;
	argc = argc_;
	argv = argv_;
	config = nikkel_config_parse("/etc/nikkel.conf");
	if(config->c_status != NIKKEL_SUCCESS){
		printf("Content-Type: text/plain\r\n");
		printf("Status: 500 Internal Server Error\r\n\r\n");
		fflush(stdout);
		printf("COFIG ERROR: %s", nikkel_status_string(config->c_status));
		return 1;
	}
	printf("Content-Type: text/html\r\n");
	fflush(stdout);
	char* http_path = getenv("PATH_INFO");
	if(http_path == NULL){
		http_path = sstrdup("/");
	}
	char* path = nikkel_entry(config, http_path);
	nikkel_parse_page(config, path);
	free(path);
	nikkel_config_free(config);
	return 0;
}
